package com.gic.haoban.manage.api.dto.qdto.content;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/3/29 9:58 AM
 * @Description
 * @Version
 **/
public class PotentialCustomerMarkRecordDTO implements Serializable {

    private static final long serialVersionUID = -5408267247555124255L;

    /**
     * 线索id
     */
    private Long potentialCustomerId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 会员id
     */
    private String memberId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购是否看过
     * 1已看过
     * 0未看过
     */
    private Integer seeFlag;

    /**
     * 是否导购星标客户
     * 1 与导购是星标 0 取消星标
     */
    private Integer starFlag;

    public Long getPotentialCustomerId() {
        return potentialCustomerId;
    }

    public void setPotentialCustomerId(Long potentialCustomerId) {
        this.potentialCustomerId = potentialCustomerId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getSeeFlag() {
        return seeFlag;
    }

    public void setSeeFlag(Integer seeFlag) {
        this.seeFlag = seeFlag;
    }

    public Integer getStarFlag() {
        return starFlag;
    }

    public void setStarFlag(Integer starFlag) {
        this.starFlag = starFlag;
    }
}
